Summary: A library which allows userspace access to USB devices.
Name: libusb
Version: 0.1.12
Release: 6%{?dist}
Source0: http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.gz
Patch0: libusb-0.1.12-libusbconfig.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/libusb/
BuildRequires: docbook-utils, pkgconfig
BuildRequires: docbook-dtds >= 1.0-5, docbook-utils-pdf
BuildRequires: automake, libtool 
ExcludeArch: s390 s390x

%description
This package provides a way for applications to access USB devices.

%package devel
Summary: Development files for libusb.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
This package contains the header files and documentation needed to
develop applications that use libusb.

%prep
%setup -q
%patch0 -p1 -b .libusbconfig

# Fix libdir in configure.in.
mv -f configure.in configure.in.old
sed -e 's|\${libdir}|$RPM_BUILD_ROOT%{_libdir}|' < configure.in.old > configure.in

aclocal
automake --add-missing --copy
libtoolize --copy --force
autoconf

%build
%configure
make CFLAGS="$CFLAGS"
pushd doc
docbook2ps manual.sgml
sed -ie '/^%%DVIPSSource:/d' manual.ps
popd

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog doc/manual.ps doc/html
%{_bindir}/libusb-config
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Thu Dec 15 2011 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Aug 25 2011 Jan Vcelak <jvcelak@redhat.com> 0.1.12-6
- fix: multilib conflicts in libusb-devel (#634915)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.1.12-5.1
- rebuild

* Fri Jun 08 2006 Jesse Keating <jkeating@redhat.com> 0.1.12-5
- Add missing BR automake, libtool.
- Add missing Requires in -devel on pkgconfig

* Thu Jun  1 2006 Jindrich Novy <jnovy@redhat.com> 0.1.12-4
- remove .la files from libusb-devel (#172643)

* Wed May 30 2006 Jindrich Novy <jnovy@redhat.com> 0.1.12-3
- use pkg-config calls in libusb-config instead of hardcoded
  defaults to avoid multiarch conflicts (#192714)

* Fri May  5 2006 Jindrich Novy <jnovy@redhat.com> 0.1.12-2
- add docbook-utils-pdf BuildRequires (#191744)

* Mon Mar  6 2006 Jindrich Novy <jnovy@redhat.com> 0.1.12-1
- update to 0.1.12
- drop .format, .searchorder patches, applied upstream

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.1.11-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.1.11-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 27 2006 Jindrich Novy <jnovy@redhat.com> 0.1.11-2
- change device search order, /dev/bus/usb is tried first,
  then /proc/bus/usb, and never try /sys/bus/usb (#178994)

* Fri Jan 20 2006 Jindrich Novy <jnovy@redhat.com> 0.1.11-1
- 0.1.11
- require pkgconfig, package libusb.pc
- fix printf format in linux.c so that libusb can be built with -Werror (default)

* Mon Dec 19 2005 Tim Waugh <twaugh@redhat.com> 0.1.10a-3
- Rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Mon Nov 21 2005 Tim Waugh <twaugh@redhat.com> 0.1.10a-2
- Build does not require xorg-x11-devel.  Fixes rebuild problem (no more
  xorg-x11-devel package).

* Wed Mar  9 2005 Tim Waugh <twaugh@redhat.com> 0.1.10a-1
- 0.1.10a.

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 0.1.10-2
- Rebuild for new GCC.

* Fri Feb 11 2005 Tim Waugh <twaugh@redhat.com> 0.1.10-1
- 0.1.10.

* Tue Feb  1 2005 Tim Waugh <twaugh@redhat.com> 0.1.9-1
- Build requires xorg-x11-devel.
- 0.1.9.

* Sat Jan 08 2005 Florian La Roche <laroche@redhat.com>
- rebuilt to get rid of legacy selinux filecontexts

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Tim Waugh <twaugh@redhat.com> 0.1.8-3
- Run aclocal/autoconf to make shared libraries work again.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 11 2004 Tim Waugh <twaugh@redhat.com> 0.1.8-1
- 0.1.8.

* Tue Jun 17 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-3
- Fixed spec file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 19 2003 Tim Waugh <twaugh@redhat.com>
- Use the CFLAGS from the environment.

* Wed Mar 19 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- 0.1.7.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe

* Tue Jun 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.6-1
- 0.1.6.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1.5-6
- automated rebuild

* Fri Jun 21 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-5
- Rebuild to fix broken deps.

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.1.5-4
- automated rebuild

* Thu Apr 11 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-3
- Rebuild (fixes bug #63196).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-2
- Rebuild in new environment.

* Thu Feb  7 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-1
- 0.1.5.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-2
- Rebuild in new environment.
- Work around tarball brokenness (doc directory was not automade).

* Mon Oct 29 2001 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- Adapted for Red Hat Linux.
- 0.1.4.

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3b-1mdk
- Initial Mandrake release
